<template>
  <div class="text">
      <div v-for="(item,index) in chooselist" :key="index" class="list">
          <div class="left">
              <img :src="choose" v-if="item.choose" @click="pick(index)"/>
              <img :src="unchoose" v-if="!item.choose" @click="unpick(index)"/>
              <span style="margin-right:24rpx;position: relative;top: -5rpx;">{{item.text}}</span>
          </div>
      </div>
  </div>
</template>

<script type="text/ecmascript-6">

  import config from '@/config'
  export default {
    data(){
      return{
        unchoose:config.url+'unchoose.png',
        choose:config.url+'choose.png',
        listTop : 0,
        top1 : 0,
      }
    },

    props:{
      chooselist:{
        default(){
          return{
           choose:false,
           text:''
          }
        }
      }
    },
    methods:{
        
        unpick(data){
            this.chooselist[data].choose = true;
            this.chooselist.forEach((item,index)=>{
                if(data !== index){
                    this.chooselist[index].choose = false;
                }
            })
           this.$emit('textclick',data,this.chooselist);
        },
        pick(data){
            this.chooselist[data].choose = false;
          this.$emit('textclick',data,this.chooselist);
        }

     
    },

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.text{
    .list{
        display:flex;
        margin: 0rem 0.7rem;
        .left{
             color:#727171;
             font-size:0.26rem; 
             img{
               width:0.32rem;
               height:0.32rem;
               margin-right:0.37rem
           }
           height:1.44rem;
           line-height:1.44rem;
           border-bottom:1px solid #D2D2D3;
           width:6.1rem;

        } 
        .right{
            position:absolute;
            right:0.7rem;
            color:#727171;
           font-size:0.26rem;
           span{
            color:#727171;
            font-size:0.26rem;
           }
           
        }
    }

}
  
  
</style>
